SX620 - Old firmware needed - General Discussion and Assistance - CHDK Forum supplierdeeply

SX620 - Old firmware needed

  • 3 Replies
  • 2636 Views
SX620 - Old firmware needed
« on: 16 / December / 2023, 18:06:37 »
Advertisements
Hi.

Where can I download an older version of firmware for PoerShot SX620 HS?
I bought the camera and it turned out that it had firmware 110a.
There is no CHDK for such firmware, they are only for older firmware.
I recently made a CHDK card for a friend of mine for the same SX620 with firmware 100b and it works properly, but mine is too new.
I haven't found older firmware anywhere on the Internet, only 1.1.0.0
Can anyone help?

*

Offline blackhole

  • *****
  • 942
  • A590IS 101b
    • Planetary astrophotography
Re: SX620 - Old firmware needed
« Reply #1 on: 17 / December / 2023, 02:17:11 »
Hi.

Where can I download an older version of firmware for PoerShot SX620 HS?
I bought the camera and it turned out that it had firmware 110a.
There is no CHDK for such firmware, they are only for older firmware.
I recently made a CHDK card for a friend of mine for the same SX620 with firmware 100b and it works properly, but mine is too new.
I haven't found older firmware anywhere on the Internet, only 1.1.0.0
Can anyone help?
Hi!
There is no option to return or downgrade the firmware to an older version.
If you want to use CHDK, you need to make a firmware dump from your camera and share the resulting file with people on the forum who can make a new port for your firmware version or adapt an existing version if possible.
Here you can see how it should be done:
https://chdk.fandom.com/wiki/Canon_Basic/Card_Setup
https://chdk.fandom.com/wiki/Canon_Basic/Scripts/Dumper

*

Offline Caefix

  • *****
  • 946
  • Sorry, busy deleting test shots...
Re: SX620 - Old firmware needed
« Reply #2 on: 20 / December / 2023, 15:41:04 »
All lifetime is a loan from eternity.

*

Offline blackhole

  • *****
  • 942
  • A590IS 101b
    • Planetary astrophotography
Re: SX620 - Old firmware needed
« Reply #3 on: 21 / December / 2023, 03:19:22 »
@Caefix
A new port is needed!  :(


 

Related Topics


SimplePortal 2.3.6 © 2008-2014, SimplePortal